> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Lot de statistiques des requêtes sur le tableau



## OpenAPI

````yaml /fr/weave/reference/service-api/openapi.json post /table/query_stats_batch
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /table/query_stats_batch:
    post:
      tags:
        - Tables
      summary: Lot de statistiques des requêtes sur le tableau
      operationId: table_query_stats_batch_table_query_stats_batch_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TableQueryStatsBatchReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableQueryStatsBatchRes'
          description: Réponse réussie
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
components:
  schemas:
    TableQueryStatsBatchReq:
      additionalProperties: false
      properties:
        digests:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: []
          description: Les empreintes des tableaux à interroger
          examples:
            - aonareimsvtl13apimtalpa4435rpmgnaemrpgmarltarstaorsnte134avrims
            - smirva431etnsroatsratlrampgrmeangmpr5344aplatmipa31ltvsmiераnoa
          title: Digests
        include_storage_size:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          description: Si la valeur est true, la colonne `storage_size_bytes` est renvoyée.
          title: Include Storage Size
        project_id:
          description: L’ID du projet
          examples:
            - my_entity/my_project
          title: Project Id
          type: string
      required:
        - project_id
      title: TableQueryStatsBatchReq
      type: object
    TableQueryStatsBatchRes:
      properties:
        tables:
          items:
            $ref: '#/components/schemas/TableStatsRow'
          title: Tables
          type: array
      required:
        - tables
      title: TableQueryStatsBatchRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    TableStatsRow:
      properties:
        count:
          title: Count
          type: integer
        digest:
          title: Digest
          type: string
        storage_size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Storage Size Bytes
      required:
        - count
        - digest
      title: TableStatsRow
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````